tcng889
Contributor
Contributor

Autodeploy plug-in 6.0.3 does not work with vRO 7.0

I have tried using the latest autodeploy plugin 6.0.3 with vRO 7.0 but it does not work.

Though the vCenter Server is registered and the vRO is registered as an extension for vCenter Server, I get the following error while listing the Orchestrator exensions of vCenter:

016-07-13 07:46:35.570+0000 [WorkflowExecutorPool-Thread-1] INFO {Administrator@VSPHERE.LOCAL:List the vCenter Orchestrator extensions of vCenter Server:wfid=0d6f401f-10e4-43a1-b55a-1f7d9fc879e0[0d6f401f-10e4-43a1-b55a-1f7d9fc879e0]:token=2c916fef55e32e980155e338bf41000a} [InitialPropertiesFactory] loadConfiguration() --> Unable to find xml configuration file '/var/lib/vco/app-server/conf/plugins/VC.xml'

When I initiate the "Add an AutoDeploy Host" workflow I get the following error:

java.lang.NullPointerException (Dynamic Script Module name : getAutoDeployHostUri#4)

{Administrator@VSPHERE.LOCAL:Add an Auto Deploy host:wfid=10858080808080808080808080808080808080800126658240472157fdafc0fce[10858080808080808080808080808080808080800126658240472157fdafc0fce]:token=2c916fef55e2e6580155e31e5f060036} [AutoDeployManager] AutoDeployManager created.

2016-07-13 07:17:47.482+0000 [WorkflowExecutorPool-Thread-5] ERROR {Administrator@VSPHERE.LOCAL:Add an Auto Deploy host:wfid=10858080808080808080808080808080808080800126658240472157fdafc0fce[10858080808080808080808080808080808080800126658240472157fdafc0fce]:token=2c916fef55e2e6580155e31e5f060036} [AutoDeployPluginConfigurator] Exception while loading VC host endpoint configurations:

2016-07-13 07:17:47.484+0000 [WorkflowExecutorPool-Thread-5] WARN  {Administrator@VSPHERE.LOCAL:Add an Auto Deploy host:wfid=10858080808080808080808080808080808080800126658240472157fdafc0fce[10858080808080808080808080808080808080800126658240472157fdafc0fce]:token=2c916fef55e2e6580155e31e5f060036} [AutoDeployManager] Unable to get AutoDeploy service! AutoDeploy host will be set INACTIVE! Reason: null

2016-07-13 07:17:47.485+0000 [WorkflowExecutorPool-Thread-5] INFO  {Administrator@VSPHERE.LOCAL:Add an Auto Deploy host:wfid=10858080808080808080808080808080808080800126658240472157fdafc0fce[10858080808080808080808080808080808080800126658240472157fdafc0fce]:token=2c916fef55e2e6580155e31e5f060036} [DynamicFunction] End of action 'com.vmware.library.autodeploy.configuration/getAutoDeployHostUri', completed for: 38ms

2016-07-13 07:17:47.488+0000 [WorkflowExecutorPool-Thread-5] WARN  {Administrator@VSPHERE.LOCAL:Add an Auto Deploy host:wfid=10858080808080808080808080808080808080800126658240472157fdafc0fce[10858080808080808080808080808080808080800126658240472157fdafc0fce]:token=2c916fef55e2e6580155e31e5f060036} [WorkflowItemTaskRunner] Script execution error on workflow : Add an Auto Deploy host / 'getAutoDeployHostUri'(item7) : java.lang.NullPointerException (Dynamic Script Module name : getAutoDeployHostUri#4)

2016-07-13 07:17:47.508+0000 [WorkflowExecutorPool-Thread-5] INFO  {Administrator@VSPHERE.LOCAL:Add an Auto Deploy host:wfid=10858080808080808080808080808080808080800126658240472157fdafc0fce[10858080808080808080808080808080808080800126658240472157fdafc0fce]:token=2c916fef55e2e6580155e31e5f060036} [WorkflowHandler] End of workflow 'Add an Auto Deploy host' (2c916fef55e2e6580155e31e5f060036), state: failed

I can see the SDK connection object for my vCenter while attempting to run the above workflow.

The same plugin works fine for vRO 6.

Is a newer version of the plug-in with support for Auto-Deploy supposed to be coming out?

There's a similar issue on post which attracted my attention, could someone please help:

Error plugins vr and srm in vro 7.0.1

0 Kudos
3 Replies
vdimitrov
Contributor
Contributor

Hello,

> Unable to find xml configuration file '/var/lib/vco/app-server/conf/plugins/VC.xml'

This is exactly the error message being resolved by the Autodeploy plug-in v 6.0.3. Are you sure you have successfully updated the 6.0.2 version of the plug-in?

If the same plug-in is working with vRO 6.0, then it must be the 6.0.2 version, because Autodeploy 6.0.3 is not compatible with vRO 6.x

Thanks,

Vladimir

0 Kudos
iiliev
VMware Employee
VMware Employee

Could you check if the build number of your Autodeploy plug-in is 3580264 ?

0 Kudos
tcng889
Contributor
Contributor

Yes, the version number is 6.0.3.3580264 .

0 Kudos